# Run experiments with different number of agents
agent_type="planner"
agent_counts=(2 3 4 5 6)  # Array of different agent counts

for n_agents in "${agent_counts[@]}"; do
  echo "Running experiment with:"
  echo "Agent type: $agent_type"
  echo "Number of agents: $n_agents"

  python my_agent/run.py -t "$agent_type" -n "$n_agents" --level level_8 --model "gpt-4o-v2" --executor_model "meta-llama/Llama-3.1-70B-Instruct"
done
